{
  "searchObj": [
    {
      "type": "input",
      "value": "mtrlNo",
      "label": "物料编号",
      "col": 4,
      "default": null,
      "placeholder": "请输入物料编号",
      "labelWidth": "80px"
    },
    {
      "type": "input",
      "value": "mtrlDes",
      "label": "物料描述",
      "col": 3,
      "default": null,
      "placeholder": "请输入物料描述",
      "labelWidth": "80px"
    },
    {
      "type": "selectTree",
      "value": "orgNo",
      "label": "所属单位",
      "col": 4,
      "default": null,
      "placeholder": "请输入所属单位",
      "labelWidth": "80px"
    },
    {
      "type": "daterange",
      "value": "createTime",
      "label": "创建时间",
      "col": 6,
      "default": null,
      "placeholder": "请选择创建时间",
      "labelWidth": "80px"
    },
    {
      "type": "select",
      "value": "queryType",
      "label": "时间范围",
      "placeholder": "按库存搜索",
      "col": 4,
      "default": null,
      "options": [
        {
          "label": "本年",
          "value": 1
        },
        {
          "label": "季度",
          "value": 2
        },
        {
          "label": "月",
          "value": 3
        }
      ],
      "labelWidth": "80px",
      "itemLabel": "label",
      "itemValue": "value"
    },
    {
      "type": "searchBtn",
      "col": 1,
      "labelWidth": "30px",
      "isShowSearch": true,
      "isShowReset": false
    },
    {
      "type": "otherBtn",
      "col": 2
    }
  ],
  "tableFormat": [
    {
      "label": "序号",
      "prop": "index",
      "maxWidth": 80
    },
    {
      "prop": "recipientNo",
      "label": "领料号",
      "maxWidth": "120px"
    },
    {
      "prop": "workOrderNo",
      "label": "工单编号",
      "maxWidth": "200px"
    },
    {
      "prop": "workOrderContent",
      "label": "工单内容",
      "maxWidth": "250px"
    },
    {
      "prop": "mtrlNo",
      "label": "物料编号",
      "maxWidth": "120px"
    },
    {
      "prop": "mtrlDes",
      "label": "物料描述",
      "maxWidth": "280px"
    },
    {
      "prop": "specifications",
      "label": "规格型号",
      "maxWidth": "160px"
    },
    {
      "prop": "mtrlUnit",
      "label": "计量单位"
    },
    {
      "prop": "mtrlNum",
      "label": "领用数量"
    },
    {
      "prop": "createTime",
      "label": "创建时间",
      "maxWidth": "180px"
    },
    {
      "prop": "stock",
      "label": "专业仓名称",
      "maxWidth": "180px"
    },
    {
      "prop": "deptName",
      "label": "所属单位",
      "maxWidth": "180px"
    }
  ]
}
